RDKit: RDKit::FilterCatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RDKit::FilterCatalogParams Class Reference

`#include <FilterCatalog.h>`

Inheritance diagram for RDKit::FilterCatalogParams:

## Public Types
enum | FilterCatalogs { PAINS_A = (1u << 1), PAINS_B = (1u << 2), PAINS_C = (1u << 3), PAINS = PAINS_A | PAINS_B | PAINS_C, BRENK = (1u << 4), NIH = (1u << 5), ZINC = (1u << 6), ALL = PAINS | BRENK | NIH | ZINC }

## Public Member Functions
| FilterCatalogParams ()
| FilterCatalogParams (FilterCatalogs catalogs)
| FilterCatalogParams (const FilterCatalogParams &other)
virtual | ~FilterCatalogParams ()
virtual bool | addCatalog (FilterCatalogs catalogs)
| Adds an existing FilterCatalog specification to be used in the. More...
const std::vector< FilterCatalogs > & | getCatalogs () const
| Returns the existing list of FilterCatalogs to be used. More...
virtual void | fillCatalog (FilterCatalog &catalog)
| Fill a catalog with the appropriate entries. More...
virtual void | toStream (std::ostream &ss) const
| serializes (pickles) to a stream More...
virtual std::string | Serialize () const
| returns a string with a serialized (pickled) representation More...
virtual void | initFromStream (std::istream &ss)
| initializes from a stream pickle More...
virtual void | initFromString (const std::string &text)
| initializes from a string pickle More...
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string More...
void | setTypeStr (const std::string &typeStr)
| sets our type string More...

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string More...

## Detailed Description

Definition at line 41 of file FilterCatalog.h.

## Member Enumeration Documentation

enum RDKit::FilterCatalogParams::FilterCatalogs

Enumerator
PAINS_A |
PAINS_B |
PAINS_C |
PAINS |
BRENK |
NIH |
ZINC |
ALL |

Definition at line 43 of file FilterCatalog.h.

## Constructor & Destructor Documentation

RDKit::FilterCatalogParams::FilterCatalogParams | ( |  | ) |
| inline

Definition at line 56 of file FilterCatalog.h.

References RDCatalog::CatalogParams::setTypeStr().

RDKit::FilterCatalogParams::FilterCatalogParams | ( | FilterCatalogs | catalogs | ) |
| inline

Definition at line 60 of file FilterCatalog.h.

References addCatalog(), and RDCatalog::CatalogParams::setTypeStr().

RDKit::FilterCatalogParams::FilterCatalogParams | ( | const FilterCatalogParams & | other | ) |
| inline

Definition at line 65 of file FilterCatalog.h.

virtual RDKit::FilterCatalogParams::~FilterCatalogParams | ( |  | ) |
| inlinevirtual

Definition at line 68 of file FilterCatalog.h.

## Member Function Documentation

virtual bool RDKit::FilterCatalogParams::addCatalog | ( | FilterCatalogs | catalogs | ) |
| virtual

Adds an existing FilterCatalog specification to be used in the.

Specifies an existing filter catalog to be used.

Parameters

  catalogs | One of the enumerated known FilterCatalogs

Referenced by FilterCatalogParams().

virtual void RDKit::FilterCatalogParams::fillCatalog | ( | FilterCatalog & | catalog | ) |
| virtual

Fill a catalog with the appropriate entries.

const std::vector<FilterCatalogs>& RDKit::FilterCatalogParams::getCatalogs | ( |  | ) | const
| inline

Returns the existing list of FilterCatalogs to be used.

Definition at line 83 of file FilterCatalog.h.

virtual void RDKit::FilterCatalogParams::initFromStream | ( | std::istream & | ss | ) |
| virtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

virtual void RDKit::FilterCatalogParams::initFromString | ( | const std::string & | text | ) |
| virtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

virtual std::string RDKit::FilterCatalogParams::Serialize | ( |  | ) | const
| virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

virtual void RDKit::FilterCatalogParams::toStream | ( | std::ostream & | ss | ) | const
| virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- FilterCatalog.h